# Citing COSMO

If you find COSMO useful in your project, we kindly request that you cite the following paper:
```
@Article{Garstka_2021,
  author  = {Michael Garstka and Mark Cannon and Paul Goulart},
  journal = {Journal of Optimization Theory and Applications},
  title   = {{COSMO}: A Conic Operator Splitting Method for Convex Conic Problems},
  volume  = {190},
  number  = {3},
  pages   = {779--810},
  year    = {2021},
  publisher = {Springer},
  doi     = {10.1007/s10957-021-01896-x},
  url     = {https://doi.org/10.1007/s10957-021-01896-x}
}
```
The article is available under Open Access [here](https://link.springer.com/article/10.1007/s10957-021-01896-x).

The following paper describes the algorithm used for our clique graph based merging strategy:
```
@InProceedings{Garstka_2020,
  author  = {Michael Garstka and Mark Cannon and Paul Goulart},
  title   = {A clique graph based merging strategy for decomposable {SDPs}},
  year    = {2020},
  note    = {21th IFAC World Congress},
  number  = {2},
  pages   = {7355-7361},
  volume  = {53},
  doi     = {10.1016/j.ifacol.2020.12.1255},
  issn    = {2405-8963},
  journal = {IFAC-PapersOnLine},
}
```
A preprint can be downloaded [here](https://arxiv.org/abs/1911.05615).

The acceleration strategy is described in this paper:
```
@InProceedings{Garstka_2022,
  title={Safeguarded Anderson acceleration for parametric nonexpansive operators},
  author={Garstka, Michael and Cannon, Mark and Goulart, Paul},
  booktitle={2022 European Control Conference (ECC)},
  pages={435--440},
  year={2022},
  organization={IEEE}
}
```
A preprint can be downloaded [here](https://arxiv.org/pdf/2208.02847).
